<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::SvmData Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('structmelon_1_1_svm_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmelon_1_1_svm_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::SvmData Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Struct containing all information regarding the support vector machine.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="svm_data_8h_source.html">svmData.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::SvmData:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structmelon_1_1_svm_data.png" usemap="#melon::SvmData_map" alt=""/>
  <map id="melon::SvmData_map" name="melon::SvmData_map">
<area href="struct_model_data.html" title="Abstract class from which specific model data object can be derived and enabling polymorphism." alt="ModelData" shape="rect" coords="0,0,101,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a91b7f46819897d76e7b3d69352f8bcad" id="r_a91b7f46819897d76e7b3d69352f8bcad"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a91b7f46819897d76e7b3d69352f8bcad">rho</a></td></tr>
<tr class="separator:a91b7f46819897d76e7b3d69352f8bcad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8701eee707298b7fe840bea845e8912e" id="r_a8701eee707298b7fe840bea845e8912e"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8701eee707298b7fe840bea845e8912e">supportVectors</a></td></tr>
<tr class="separator:a8701eee707298b7fe840bea845e8912e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02125fa378b434a59489fe68867a9c54" id="r_a02125fa378b434a59489fe68867a9c54"><td class="memItemLeft" align="right" valign="top">std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a02125fa378b434a59489fe68867a9c54">dualCoefficients</a></td></tr>
<tr class="separator:a02125fa378b434a59489fe68867a9c54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63b5cf742541499e1f7cb0a3bae170bd" id="r_a63b5cf742541499e1f7cb0a3bae170bd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887">KERNEL_FUNCTION</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a63b5cf742541499e1f7cb0a3bae170bd">kernelFunction</a></td></tr>
<tr class="separator:a63b5cf742541499e1f7cb0a3bae170bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4584851c196fdb3a1f53ea734cb24ca7" id="r_a4584851c196fdb3a1f53ea734cb24ca7"><td class="memItemLeft" align="right" valign="top">std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4584851c196fdb3a1f53ea734cb24ca7">kernelParameters</a></td></tr>
<tr class="separator:a4584851c196fdb3a1f53ea734cb24ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa59d2ea919c99ce32643810d96be322c" id="r_aa59d2ea919c99ce32643810d96be322c"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa59d2ea919c99ce32643810d96be322c">inputScalerData</a></td></tr>
<tr class="separator:aa59d2ea919c99ce32643810d96be322c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd271036f149a4d666c6a52c5798bd22" id="r_abd271036f149a4d666c6a52c5798bd22"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abd271036f149a4d666c6a52c5798bd22">outputScalerData</a></td></tr>
<tr class="separator:abd271036f149a4d666c6a52c5798bd22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_struct_model_data"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_struct_model_data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="struct_model_data.html">ModelData</a></td></tr>
<tr class="memitem:a0e3c9ed044c4eba6c713ee181cd64bc0 inherit pub_methods_struct_model_data" id="r_a0e3c9ed044c4eba6c713ee181cd64bc0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_model_data.html#a0e3c9ed044c4eba6c713ee181cd64bc0">ModelData</a> ()=default</td></tr>
<tr class="separator:a0e3c9ed044c4eba6c713ee181cd64bc0 inherit pub_methods_struct_model_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a187635f6ad5b6c948d0040c2134e5573 inherit pub_methods_struct_model_data" id="r_a187635f6ad5b6c948d0040c2134e5573"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_model_data.html#a187635f6ad5b6c948d0040c2134e5573">~ModelData</a> ()=default</td></tr>
<tr class="separator:a187635f6ad5b6c948d0040c2134e5573 inherit pub_methods_struct_model_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Struct containing all information regarding the support vector machine. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a02125fa378b434a59489fe68867a9c54" name="a02125fa378b434a59489fe68867a9c54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02125fa378b434a59489fe68867a9c54">&#9670;&#160;</a></span>dualCoefficients</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;double&gt; melon::SvmData::dualCoefficients</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector with dual coefficients of descision function </p>

</div>
</div>
<a id="aa59d2ea919c99ce32643810d96be322c" name="aa59d2ea919c99ce32643810d96be322c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa59d2ea919c99ce32643810d96be322c">&#9670;&#160;</a></span>inputScalerData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;const <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a>&gt; melon::SvmData::inputScalerData</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Object containing the data for the input scaling </p>

</div>
</div>
<a id="a63b5cf742541499e1f7cb0a3bae170bd" name="a63b5cf742541499e1f7cb0a3bae170bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63b5cf742541499e1f7cb0a3bae170bd">&#9670;&#160;</a></span>kernelFunction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887">KERNEL_FUNCTION</a> melon::SvmData::kernelFunction</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Specification which kernel function should be used </p>

</div>
</div>
<a id="a4584851c196fdb3a1f53ea734cb24ca7" name="a4584851c196fdb3a1f53ea734cb24ca7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4584851c196fdb3a1f53ea734cb24ca7">&#9670;&#160;</a></span>kernelParameters</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;double&gt; melon::SvmData::kernelParameters</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector with kernel parameters where the meaning of the parameters depends on which kernel function is specified </p>

</div>
</div>
<a id="abd271036f149a4d666c6a52c5798bd22" name="abd271036f149a4d666c6a52c5798bd22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd271036f149a4d666c6a52c5798bd22">&#9670;&#160;</a></span>outputScalerData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;const <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a>&gt; melon::SvmData::outputScalerData</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Object containing the data for the output scaling </p>

</div>
</div>
<a id="a91b7f46819897d76e7b3d69352f8bcad" name="a91b7f46819897d76e7b3d69352f8bcad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91b7f46819897d76e7b3d69352f8bcad">&#9670;&#160;</a></span>rho</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double melon::SvmData::rho</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constant parameter of the hyperplane </p>

</div>
</div>
<a id="a8701eee707298b7fe840bea845e8912e" name="a8701eee707298b7fe840bea845e8912e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8701eee707298b7fe840bea845e8912e">&#9670;&#160;</a></span>supportVectors</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;double&gt; &gt; melon::SvmData::supportVectors</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector of support vectors </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/support vector machine/model/inc/<a class="el" href="svm_data_8h_source.html">svmData.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="structmelon_1_1_svm_data.html">SvmData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
